KD Chart 2: KDChart::GlobalMeasureScaling class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::GlobalMeasureScaling Class Reference

`#include <KDChartMeasure.h>`

Collaboration diagram for KDChart::GlobalMeasureScaling:

[legend]
List of all members.

## Detailed Description

Auxiliary class used by the KDChart::Measure and KDChart::Chart class.

Normally there should be no need to call any of these methods yourself.

They are used by KDChart::Chart::paint( QPainter*, const QRect& ) to adjust all of the relative Measures according to the target rectangle's size.

Default factors are (1.0, 1.0)

Definition at line 148 of file KDChartMeasure.h.

## Public Member Functions
| GlobalMeasureScaling ()
virtual | ~GlobalMeasureScaling ()
## Static Public Member Functions
const QPair< qreal, qreal > | currentFactors ()
| Returns the currently active factors.
GlobalMeasureScaling * | instance ()
void | resetFactors ()
| Reset factors to the values active before the previous call of setFactors.
void | setFactors (qreal factorX, qreal factorY)
| Set new factors to be used by all Measure objects from now on.

## Constructor & Destructor Documentation

KDChart::GlobalMeasureScaling::GlobalMeasureScaling | ( |  | ) |

| Definition at line 187 of file KDChartMeasure.cpp.
    00188 {
    00189     mFactors.push( qMakePair(1.0, 1.0) );
    00190 }

KDChart::GlobalMeasureScaling::~GlobalMeasureScaling | ( |  | ) | `[virtual]`

| Definition at line 192 of file KDChartMeasure.cpp.
    00193 {
    00194     // this space left empty intentionally
    00195 }

## Member Function Documentation

const QPair< qreal, qreal > KDChart::GlobalMeasureScaling::currentFactors | ( |  | ) | `[static]`

| Returns the currently active factors. Definition at line 215 of file KDChartMeasure.cpp. References instance(), and mFactors.
    00216 {
    00217     return instance()->mFactors.top();
    00218 }

GlobalMeasureScaling * KDChart::GlobalMeasureScaling::instance | ( |  | ) | `[static]`

| Definition at line 197 of file KDChartMeasure.cpp. References instance(). Referenced by currentFactors(), instance(), resetFactors(), and setFactors().
    00198 {
    00199     static GlobalMeasureScaling instance;
    00200     return &instance;
    00201 }

void KDChart::GlobalMeasureScaling::resetFactors | ( |  | ) | `[static]`

| Reset factors to the values active before the previous call of setFactors. This works on a stack, so recursive calls works fine, like: setFactors, setFactors, unserFactors, unsetFactors Definition at line 208 of file KDChartMeasure.cpp. References instance(), and mFactors.
    00209 {
    00210     // never remove the initial (1.0. 1.0) setting
    00211     if( instance()->mFactors.count() > 1 )
    00212         instance()->mFactors.pop();
    00213 }

void KDChart::GlobalMeasureScaling::setFactors | ( | qreal | factorX,
|  | qreal | factorY
| ) | `[static]`

| Set new factors to be used by all Measure objects from now on. Previous values will be stored. Definition at line 203 of file KDChartMeasure.cpp. References instance(), and mFactors.
    00204 {
    00205     instance()->mFactors.push( qMakePair(factorX, factorY) );
    00206 }

The documentation for this class was generated from the following files:

- KDChartMeasure.h
- KDChartMeasure.cpp